MONGOC_GRIDFS_FILE_LIST_NEXT(3)

NAME
mongoc_gridfs_file_list_next() - This function shall iterate the underlying gridfs file list, returning the next file each iteration. This is a blocking function.

SYNOPSIS

mongoc_gridfs_file_t *
mongoc_gridfs_file_list_next (mongoc_gridfs_file_list_t *list);

PARAMETERS

list
    A mongoc_gridfs_file_list_t \&.

DESCRIPTION

This function shall iterate the underlying gridfs file list, returning the next file each iteration. This is a blocking function.

RETURNS

A newly allocated mongoc_gridfs_file_t that should be freed with mongoc_gridfs_file_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.